## wmsmpmon 2.2

=== wmSMPmon/Makefile ===
# Par RedSeb, 1999-2000

SRC = wmSMPmon.c ../wmgeneral/wmgeneral.c 

EXE = wmSMPmon

OBJ = $(SRC:.c=.o)

CFLAGS = -Wall -O3 -m486

LIB = -L/usr/X11R6/lib -lXpm -lXext -lX11

INSTALL = /usr/bin/install

CC = gcc

all: $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIB)

$(OBJ): %.o : %.c 
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -rf $(EXE) 
	rm -rf *.o
	rm -rf ../wmgeneral/*.o
install:
	$(INSTALL) $(EXE) $(DESTDIR)/usr/bin

## wmsmpmon 2.2-1

=== debian/changelog ===
wmsmpmon (2.2-1) unstable; urgency=low

  * New Upstream (Nothing new since 2.1-6 - just some doku updates).
  * Changed upstream authors email addresses to those in 2.2
  * Moved files from /usr/X11R6 to /usr

 -- Alain Schroeder <alain@debian.org>  Fri, 20 Jul 2001 00:55:29 +0200
 

wmsmpmon (2.1-7) unstable; urgency=low

  * Added missing Upstream Author.

 -- Alain Schroeder <alain@debian.org>  Wed, 11 Jul 2001 17:35:50 -0400

wmsmpmon (2.1-6) unstable; urgency=low

  * Removed sys/io.h inclusion to make it wmsmpmon build on all archs.
    Also set arch to any. (closes: #102629).
  * Updated und reduced Build-Deps to the necessary.

 -- Alain Schroeder <alain@debian.org>  Thu, 28 Jun 2001 17:11:04 +0200

wmsmpmon (2.1-5) unstable; urgency=low

  * Recompiled, so lintian is happy.
  * And again, the description was reamped.

 -- Alain Schroeder <alain@debian.org>  Fri,  2 Mar 2001 10:22:10 +0100

wmsmpmon (2.1-4) unstable; urgency=low

  * Added, that it does not compile on PPC nor Sparc nor MK86 to 
    debian/control.
  * Description reamped again.

 -- Alain Schroeder <alain@debian.org>  Thu,  7 Dec 2000 11:10:52 +0100

wmsmpmon (2.1-3) unstable; urgency=low

  * Using install instead of cp in debian/rules.

 -- Alain Schroeder <alain@debian.org>  Tue, 28 Nov 2000 23:34:03 +0100

wmsmpmon (2.1-2) unstable; urgency=low

  * Removed useless file in debian directory.
  * Reamped Description.
  * Moved Build-Depends to the right place.
  * Removed the GPL in favor of a link to it.
  * Added a link for wmSMPmons documentation to /usr/doc.
  * Added a man page.

 -- Alain Schroeder <alain@debian.org>  Tue, 28 Nov 2000 22:14:22 +0100

wmsmpmon (2.1-1) unstable; urgency=low

  * Initial release.
  * The Makefile was modified to get wmSMPmon debianized.

 -- Alain Schroeder <alain@debian.org>  Tue, 28 Nov 2000 16:02:38 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmsmpmon
Section: x11
Priority: optional
Maintainer: Alain Schroeder <alain@debian.org>
Build-Depends: xlibs-dev, debmake
Standards-Version: 3.1.1

Package: wmsmpmon
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker
Description: A CPU monitoring dockapp for SMP systems
 wmSMPmon is a CPU monitoring applet for SMP systems running 
 Window Maker.
 .
 It features two graphs for each CPU. It can be run on a System 
 with only one CPU too, but it seems that the graph will show
 wrong value ranges.
 .
 It has three different looks. You can change between them by 
 clicking on the graph.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=wmsmpmon

build:
	$(checkdir)
	
	cd wmSMPmon; $(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-cd wmSMPmon; $(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars debian/wmSMPmon.1.gz

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cd wmSMPmon; $(MAKE) install DESTDIR=`pwd`/../debian/tmp
	install -m 644 debian/wmSMPmon.1 debian/tmp/usr/man/man1
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

install:
